package model

type LoginUserRequest struct {
	Email        string `json:"email"`
	Password     string `json:"password"`
	DeviceID     string `json:"deviceId"`
	AppVersion   string `json:"appVersion"`
	UserAgent    string `json:"userAgent"`
	Model        string `json:"model"`
	Manufacturer string `json:"manufacturer"`
	IP           string `json:"ip"`
	Language     string `json:"language"`
	FCMToken     string `json:"FCMToken"`
	AuthToken    string `json:"authToken"`
	OsName       string `json:"osName"`
	OsVersion    string `json:"osVersion"`
	IsMobile     bool   `json:"isMobile"`
}

type LogoutRequest struct {
	ID string `json:"_id"`
}

type GetListUserRequest struct {
	Page       int    `json:"page"`
	Limit      int    `json:"limit"`
	Status     string `json:"status"`
	Type       string `json:"type"`
	SupplierID string `json:"supplierId"`
}

type DetailUserRequest struct {
	ID string `json:"_id"`
}

type CreateOwnerRequest struct {
	Name       string `json:"name"`
	Phone      string `json:"phone"`
	Email      string `json:"email"`
	SupplierID string `json:"supplierId"`
	RoleID     string `json:"roleId"`
}

type UpdateOwnerRequest struct {
	ID         string `json:"_id"`
	SupplierID string `json:"supplierId"`
	Name       string `json:"name"`
	Phone      string `json:"phone"`
	Email      string `json:"email"`
	RoleID     string `json:"roleId"`
}

type CreateStaffRequest struct {
	Name       string   `json:"name"`
	Phone      string   `json:"phone"`
	Email      string   `json:"email"`
	SupplierID string   `json:"supplierId"`
	RoleID     string   `json:"roleId"`
	Warehouses []string `json:"warehouses"`
}

type UpdateStaffRequest struct {
	ID                      string   `json:"_id"`
	Name                    string   `json:"name"`
	Phone                   string   `json:"phone"`
	Email                   string   `json:"email"`
	SupplierID              string   `json:"supplierId"`
	RoleID                  string   `json:"roleId"`
	Password                string   `json:"password"`
	SupplierUserWarehouseID string   `json:"supplierUserWarehouseId"`
	Warehouses              []string `json:"warehouses"`
}

type UpdateStatusRequest struct {
	ID     string `json:"_id"`
	Status string `json:"status"`
}

type ResetPasswordRequest struct {
	ID string `json:"_id"`
}

type ChangePasswordRequest struct {
	ID       string `json:"_id"`
	Password string `json:"password"`
}

// CheckTokenSupplierUserPayload ...
type CheckTokenSupplierUserPayload struct {
	Token       string   `json:"token"`
	Permissions []string `json:"permissions"`
}
